This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 763920 - (GLUSTER-2188) umount -f crashes gNFS after remounting with `mount --bind`
umount -f crashes gNFS after remounting with `mount --bind`
Status: CLOSED DUPLICATE of bug 763914
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.1
All Linux
low Severity low
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-03 04:56 EST by Craig Carl
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2010-12-03 02:13:32 EST
Reporter on the mailing list himself has filed bug 763914 for the same issue. Besides, there is no mention of NFS anywhere in the report.

*** This bug has been marked as a duplicate of bug 2182 ***
Comment 1 Craig Carl 2010-12-03 04:56:20 EST
On 12/02/2010 05:59 AM, Samuel Hassine wrote:
> > Hi all,
> >
> >
> >
> > GlusterFS partition automatically shutdown when umounting a binded 
> > mount point
> >
> > with "-f" option (without it works).
> >
> >
> >
> > How to reproduce:
> >
> >
> >
> > mounted Gluster partition on /gluster (any config):
> >
> >
> >
> > df: localhost:/gluster        4.5T  100G  4.4T   3% /gluster
> >
> > mount: localhost:/gluster on /gluster type fuse.glusterfs
> >
> > (rw,allow_other,default_permissions,max_read=131072)
> >
> >
> >
> > commands:
> >
> >
> >
> > mkdir /test
> >
> > mount -n --bind /gluster /test
> >
> > ls /test (verify you have the Gluster)
> >
> >
> >
> > and:
> >
> >
> >
> > umount -f /test
> >
> >
> >
> > ===>
> >
> >
> >
> > df: `/gluster': Transport endpoint is not connected
> >
> > [2010-12-02 14:48:56.38309] I [fuse-bridge.c:3138:fuse_thread_proc] fuse:
> >
> > unmounting /gluster
> >
> > [2010-12-02 14:48:56.38364] I [glusterfsd.c:672:cleanup_and_exit]
> > glusterfsd:
> >
> > shutting down
> >
> >
> >
> > Before 3.1.x I did not have this bug.
> >
> >
> >
> > Regards.
> >
> > Sam
> >
> >
> >
> >
> > _______________________________________________
> > Gluster-users mailing list
> > Gluster-users@gluster.org
> > http://gluster.org/cgi-bin/mailman/listinfo/gluster-users

Note You need to log in before you can comment on or make changes to this bug.